#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Compare
Summary:	Data::Compare - compare Perl data structures
Summary(pl.UTF-8):	Data::Compare - porównywanie struktur danych w Perlu
Name:		perl-Data-Compare
# fill to four decimal digits to avoid epoch bumps after 1.2102
%define	ver	1.25
Version:	%{ver}00
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{ver}.tar.gz
# Source0-md5:	6a397ab5833237f3ca05ed7277b19a7a
URL:		http://search.cpan.org/dist/Data-Compare/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-File-Find-Rule >= 0.11
BuildRequires:	perl-Scalar-Properties
BuildRequires:	perl-perldoc
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::Compare module compares two Perl data structures recursively.

%description -l pl.UTF-8
Moduł Data::Compare służy do rekurencyjnego porównywania dwóch
struktur danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{ver}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Data/Compare/Plugins.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Data/Compare.pm
%dir %{perl_vendorlib}/Data/Compare
%{perl_vendorlib}/Data/Compare/Plugins
%{_mandir}/man3/Data::Compare.3pm*
%{_mandir}/man3/Data::Compare::Plugins*.3pm*
%changelog
* Mon Nov 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-Compare.git;a=log;h=master

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> b78b44b
- updated to 1.25 (as 1.2500 to avoid epoch bumps)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 22483b7
- up to 1.2102

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 3a0c906
- updated to 1.2101

* Sun May 11 2008 hawk <hawk@pld-linux.org> 0ab058a
- updated to 1.18

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 24eac94
- up to 0.17; generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> da6f6cd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 184abca
- converted to UTF-8

* Thu Nov 11 2004 paladine <paladine@pld-linux.org> d756fdf
- updated to 0.13

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 1b91c99
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 49d2b8a
- updated to 0.11

* Sun Aug 01 2004 ankry <ankry@pld-linux.org> 4535215
- added missing dir, rel. 3

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4628fe4
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> b29b81d
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> ef31613
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> dbf9b78
- bcond fixes/porting

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 80ec10b
- Epoch: 1

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 37f1cfd
- license/description/summary fixes

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 37c07d0
- updated to 0.1

* Wed Mar 03 2004 Adam Gołębiowski <adamg@pld-linux.org> df0e5fa
- updated to 0.09

* Fri Feb 13 2004 migo <migo@pld-linux.org> dbe3ce3
- up to 0.08, cosmetics

